unit wincolors;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils;

{MENUINFO mi =  0 ;
mi.cbSize = sizeof(mi);
mi.fMask = MIM_BACKGROUND|MIM_APPLYTOSUBMENUS;
mi.hbrBack = hBrush;

HMENU hMenu = ::GetMenu(hWnd);
SetMenuInfo(hMenu, &mi);
}

const
  COLOR_SCROLLBAR: DWORD = 0;
  COLOR_BACKGROUND: DWORD = 1;
  COLOR_ACTIVECAPTION: DWORD = 2;
  COLOR_INACTIVECAPTION: DWORD = 3;
  COLOR_MENU: DWORD = 4;
  COLOR_WINDOW: DWORD = 5;
  COLOR_WINDOWFRAME: DWORD = 6;
  COLOR_MENUTEXT: DWORD = 7;
  COLOR_WINDOWTEXT: DWORD = 8;
  COLOR_CAPTIONTEXT: DWORD = 9;
  COLOR_ACTIVEBORDER: DWORD = 10;
  COLOR_INACTIVEBORDER: DWORD = 11;
  COLOR_APPWORKSPACE: DWORD = 12;
  COLOR_HIGHLIGHT: DWORD = 13;
  COLOR_HIGHLIGHTTEXT: DWORD = 14;
  COLOR_BTNFACE: DWORD = 15;
  COLOR_BTNSHADOW: DWORD = 16;
  COLOR_GRAYTEXT: DWORD = 17;
  COLOR_BTNTEXT: DWORD = 18;
  COLOR_INACTIVECAPTIONTEXT: DWORD = 19;
  COLOR_BTNHIGHLIGHT: DWORD = 20;
  COLOR_3DDKSHADOW: DWORD = 21;
  COLOR_3DLIGHT: DWORD = 22;
  COLOR_INFOTEXT: DWORD = 23;
  COLOR_INFOBK: DWORD = 24;
  COLOR_DESKTOP: DWORD = 1;
  COLOR_3DFACE: DWORD = 15;
  COLOR_3DSHADOW: DWORD = 16;
  COLOR_3DHIGHLIGHT: DWORD = 20;

  // ??? = 2
  // ??? = 3
  // menu border = 4
  // ??? = 7
  // highlight = 13
  // highlight text = 14


implementation

end.

